# -*- coding: utf-8 -*-
import doctest
import unittest

from tracrendezvous.event.tests import model

def suite():
    suite = unittest.TestSuite()
    suite.addTest(model.suite())
    return suite

if __name__ == '__main__':
    import sys
    if '--skip-functional-tests' in sys.argv:
        sys.argv.remove('--skip-functional-tests')
        INCLUDE_FUNCTIONAL_TESTS = False
    unittest.main(defaultTest='suite')
